mysql_data_seek
mysql_db_query
MySQL Functions
PHP Manual

# mysql_db_name

(PHP 4, PHP 5)

mysql_db_name — Retrieves database name from the call to mysql_list_dbs()

Warning

This extension is deprecated as of PHP 5.5.0, and will be removed in the future. Instead, the MySQLi or PDO_MySQL extension should be used. See also MySQL: choosing an API guide and related FAQ for more information. Alternatives to this function include:

- Query: SELECT DATABASE()

### Description

string mysql_db_name ( resource `$result` , int `$row` [, mixed `$field` = NULL ] )

Retrieve the database name from a call to mysql_list_dbs().

### Parameters

`result`

  The result pointer from a call to mysql_list_dbs().

`row`

  The index into the result set.

`field`

  The field name.

### Return Values

Returns the database name on success, and `FALSE` on failure. If `FALSE` is returned, use mysql_error() to determine the nature of the error.

### Changelog

Version | Description
--- | ---
5.5.0 | The mysql_list_dbs() function is deprecated, and emits an `E_DEPRECATED` level error.

### Examples

Example #1 mysql_db_name() example

`<?php
error_reporting(E_ALL);
$link = mysql_connect('dbhost', 'username', 'password');
$db_list = mysql_list_dbs($link);
$i = 0;
$cnt = mysql_num_rows($db_list);
while ($i < $cnt) {
echo mysql_db_name($db_list, $i) . "\n";
$i++;
}
?>`

### Notes

> Note:

> For backward compatibility, the following deprecated alias may be used: mysql_dbname()

### See Also

- mysql_list_dbs() - List databases available on a MySQL server
- mysql_tablename() - Get table name of field

mysql_data_seek
mysql_db_query
MySQL Functions
PHP Manual